[SciPy-dev] problem building scipy on win32

Pearu Peterson pearu at scipy.org
Thu Mar 11 12:25:29 CST 2004



On Wed, 10 Mar 2004, Alexandre Gillet wrote:

> Hi,
> I am trying to build SciPy-0.2.0_alpha_200.4161.
> I did follow the note from Pearu Peterson 
> (http://cens.ioc.ee/~pearu/scipy/BUILD_WIN32.html)
> I am not using the cvs version, but I did use the cvs version of 
> scipy_core for installing it.
> Then I cd in SciPy-0.2.0_alpha_200.4161 and type msys.py python setup.py 
> build.
> 
> I am now getting the following error:
> 
> /building 'scipy_base.fastumath' extension
> Traceback (most recent call last):
>   File "setup.py", line 111, in ?
>     setup_package()
>   File "setup.py", line 101, in setup_package
>     url = "http://www.scipy.org",
>   File "scipy_core\scipy_distutils\core.py", line 42, in setup
>     return old_setup(**new_attr)
>   File "c:\Python23\lib\distutils\core.py", line 149, in setup
>     dist.run_commands()
>   File "c:\Python23\lib\distutils\dist.py", line 907, in run_commands
>     self.run_command(cmd)
>   File "c:\Python23\lib\distutils\dist.py", line 927, in run_command
>     cmd_obj.run()
>   File "c:\Python23\lib\distutils\command\build.py", line 107, in run
>     self.run_command(cmd_name)
>   File "c:\Python23\lib\distutils\cmd.py", line 333, in run_command
>     self.distribution.run_command(command)
>   File "c:\Python23\lib\distutils\dist.py", line 927, in run_command
>     cmd_obj.run()
>   File "c:\Python23\lib\distutils\command\build_ext.py", line 269, in run
>     self.build_extensions()
>   File "c:\Python23\lib\distutils\command\build_ext.py", line 395, in 
> build_extensions
>     self.build_extension(ext)
>   File "scipy_core\scipy_distutils\command\build_ext.py", line 116, in 
> build_extension
>     res = old_build_ext.build_extension(self,ext)
>   File "c:\Python23\lib\distutils\command\build_ext.py", line 492, in 
> build_extension
>     target_lang=language)
>   File "c:\Python23\lib\distutils\ccompiler.py", line 843, in 
> link_shared_object
> extra_preargs, extra_postargs, build_temp, target_lang)
> TypeError: link() takes exactly 13 arguments (14 given)

That error is due to the bug in Python 2.3 distutils. scipy_distutils 
implements a workaround to this issue but the workaround is effective only 
when setup scripts use scipy_distutils, the setup scripts in 
SciPy-0.2.0_alpha_200.4161 apparently do not do that.

> Any Idea.
> I  need to use that version of Scipy as the GA module seems not to work 
> on later version, that version was installed on Linux and works fine for us.

It might be easier to fix whatever issues you have with the recent GA 
module rather than trying to get SciPy-0.2.0_alpha_200.4161 working. What 
problems exactly do you experience with the GA module?

Pearu




More information about the Scipy-dev mailing list